body {
    background-color: #F0F0F0;
}
#loading-screen {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.9);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}
#loading-screen .content {
    text-align: center;
}
#loading-screen .logo {
    max-width: 250px;
    margin-bottom: 20px;
}
.loader {
    border: 16px solid #f3f3f3;
    border-top: 16px solid #506D4A;
    border-radius: 50%;
    width: 90px;
    height: 90px;
    animation: spin 2s linear infinite;
    margin: 0px auto;
}
@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}
.page-header {
    box-sizing: border-box;
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    display: flex;
    flex-direction: column;
    width: 250px;
    z-index: 100;
    background-color: #FFFFFF;
    border-right: 1px solid #C08E2D;
}
.fade-image {
    transition: opacity 0.5s ease-in-out;
}
.fade-out {
    opacity: 0;
}
.fade-in {
    opacity: 1;
}
.position-relative {
    display: flex;
    justify-content: center;
    align-items: center;
}
.highlight {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 20px;
    color: #fdfcfb;
    text-decoration: none;
}
.nav-label-title {
    border-bottom: 1px solid #C08E2D;
    display: flex;
    justify-content: center;
    align-items: center;
}
.nav-label-title a {
    text-decoration: none;
    text-align: center;
    margin: 10px;
}
.nav-label-title img {
    width: 50%;
    height: auto;
}
.left-nav svg {
    width: 20px;
    height: 20px;
    position: relative;
    left: 3px;
    bottom: 3px;
    right: 3px;
}
.line1 {
    margin-top: 30px;
    margin-bottom: 30px;
}
.header-contents ul {
    list-style: none;
    align-items: center;
    padding: 0px;
    margin-top: 20px;
}
.header-contents ul li {
    position: relative;
}
.header-contents ul .account-lbl {
    display: block;
    position: relative;
    list-style: none;
    cursor: pointer;
}
.header-contents .account-btn {
    display: none;
}
.header-contents .account-btn:checked ~ .account-dropdown {
    max-height: 200px;
    overflow-x: hidden;
    transition: max-height 0.2s ease-in;
}
.header-contents li > a {
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    font-size: 20px;
    text-decoration: none;
    display: block;
    padding: 15px;
}
.account-lbl {
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    font-size: 20px;
    text-decoration: none;
    display: block;
    padding: 25px;
    color: #fdfcfb;
}
.account-dropdown {
    display: block;
    margin: 0px;
    padding: 0px;
    list-style: none;
    overflow: hidden;
    width: 250px;
    max-height: 0;
    transition: max-height 0.2s ease-in;
    background-color: #570101;
    position: absolute;
    z-index: 1;
}
.account-dropdown li > a {
    display: block;
    color: #fdfcfb;
    font-size: 16px;
    padding: 15px;
}
.account-dropdown li a:hover {
    background-color: #d69b10;
    color: #fdfcfb;
}
.dropdown-icon {
    border: solid #fdfcfb;
    border-width: 0 3px 3px 0;
    display: inline-block;
    padding: 3px;
    position: relative;
    top: -3px;
    transform: rotate(45deg);
    transition: transform .2s ease;
}
.header-contents .account-btn:checked ~ .account-lbl .dropdown-icon {
    transform: rotate(-135deg);
    top: 2px;
}
.header-contents .account-btn:checked ~ .account-lbl .dropdown-icon {
    border-color: #fdfcfb;
}
.logout-section {
    box-sizing: border-box;
    position: absolute;
    left: 0;
    bottom: 0;
    z-index: 1;
    width: 100%;
    border-top: 1px solid #C08E2D;
}
.logout-section button {
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    font-size: 20px;
    color: #506D4A;
    text-decoration: none;
    display: block;
    padding: 10px;
    text-align: center;
}
.copyright {
    text-align: center;
    font-family: Arial, Helvetica, sans-serif;
    color: #506D4A;
    font-size: 8px;
    padding: 10px;
    margin: 0px;
}
.header {
    display: flex;
    justify-content: space-between;
}


.tbl-design {
    position: relative;
    margin-top: 50px;
}

.tbl-design h1 {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 24px;
    color: #810202;
    text-align: center;
    padding-bottom: 15px;
}

.tbl-design table {
    border-collapse: collapse;
    border: 1px solid black;
}
.tbl-design tr {
    display:table;
    width:100%;
    table-layout:fixed;
    border-bottom: 1px solid black;
}
.tbl-design th {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 14px;
    background-color: #810202;
    color: white;
    padding: 10px;
}
.tbl-design td {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 14px;
    color: #4B4B4B;
    padding: 10px;
}
.tbl-design tr > :not(:last-child):not(th) {
    border-right: 1px solid black;
}
.right-dashboard {
    margin-left: 250px;
}
.dashboard {
    margin: 50px;
}
.dashboard h1 {
    color: #506D4A;
    font-size: 30px;
    margin: 40px 0px 10px 40px;
}
.dashboard-header {
    display: flex;
    justify-content: space-between;
    margin-left: 30px;
}
.dashboard-header svg {
    width: 8px;
    height: 100%;
}
.header-icon-one > .dashboard-company-name {
    font-size: 18px;
}
.header-icon-two > .dashboard-page-name {
    font-size: 12px;
}
.position {
    display: flex;
    align-items: center;
    justify-content: center;
}
.position p {
    color: #506D4A;
    padding: 20px;
}
.profile-picture {
    text-decoration: none;
}
.title-button {
    font-size: 18px;
}
.btn-group {
    margin-top: 20px;
}
.btn-create {
    color: #FFEBCD;
    background-color: #506D4A;
    padding: 5px 25px;
    border-radius: 5px;
}
.btn-create:hover {
    background-color: #C08E2D;
    color: #FFEBCD;
}
.btn-list {
    background-color: #FFFFFF;
    padding: 5px 20px;
    border-radius: 5px;
    border: 1px solid #C08E2D;
}
.btn-list:hover {
    background-color: #d3d3d3;
    border: 1px solid #C08E2D;
}
.rightside-section-buttons {
    display: flex;
    justify-content: flex-end;
}
.rightside-section-buttons svg {
    width: 18px;
    height: 100%;
}
.logs-button {
    margin: 40px 10px;
    text-decoration: none;
    color: #FFFFFF;
    background-color: #506D4A;
    padding: 5px 20px;
    border-radius: 3px;
}
.logs-button:hover {
    color: #FFFFFF;
    background-color: #344731;
    transition: all 0.5s;
}
/* Add a custom dropdown icon */
.form-select {
    -webkit-appearance: none;  /* Removes default dropdown arrow */
    -moz-appearance: none;
    appearance: none;
    background-image: url('https://cdn.jsdelivr.net/npm/bootstrap-icons/icons/chevron-down.svg');
    background-repeat: no-repeat;
    background-position: right 10px center;
    padding-right: 30px;  /* Space for the icon */
    background-size: 16px; /* Adjust the icon size if needed */
}
select.form-control {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-image: url('https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.5/icons/chevron-down.svg');
    background-repeat: no-repeat;
    background-position: right 1rem center;
    background-size: 1rem;
    padding-right: 2.5rem;
}
select.form-control:hover {
    cursor: pointer;
}
.title-and-buttons {
    display: flex;
    justify-content: space-between;
}
.check-wrapper {
    margin: 15px 45px 45px;
}
.dashboard-navigation {
    background-color: #FFFFFF;
    border: 1px solid #C08E2D;
    width: 100%;
    height: 600px;
    max-height: 600px;
    margin: 25px auto;
    overflow: hidden; /* Prevents outer scrolling */
    display: flex;
    flex-direction: column;
}
.dashboard-navigation-reservation {
    background-color: #FFFFFF;
    border: 1px solid #C08E2D;
    width: 100%;
    height: auto;
    min-height: 300px;
    max-height: 500px;
    margin: 25px auto;
    overflow: hidden; /* Prevents outer scrolling */
    display: flex;
    flex-direction: column;
}
.dashboard-navigation-reservation h2 {
    color: #506D4A;
    margin: 30px 30px 5px 30px;
    font-size: 1.5rem;
}
.dashboard-navigation-reservation .row {
    overflow-y: auto; /* Enables vertical scrolling */
    flex-grow: 1; /* Ensures it takes up available space */
    padding-right: 10px; /* Prevents content from touching the scrollbar */
}
.dashboard-navigation-check {
    background-color: #FFFFFF;
    border: 1px solid #C08E2D;
    width: 100%;
    height: auto;
    min-height: 300px;
    margin: 25px auto;
    overflow: hidden; /* Prevents outer scrolling */
    display: flex;
    flex-direction: column;
}
.dashboard-navigation-billing {
    background-color: #FFFFFF;
    border: 1px solid #C08E2D;
    width: 100%;
    height: auto;
    min-height: 300px;
    max-height: 500px;
    margin: 25px auto;
    overflow: hidden; /* Prevents outer scrolling */
    display: flex;
    flex-direction: column;
}
.dashboard-navigation-billing h2 {
    color: #506D4A;
    margin: 30px 30px 5px 30px;
    font-size: 1.5rem;
}
.dashboard-navigation-receptionist {
    background-color: #FFFFFF;
    border: 1px solid #C08E2D;
    width: 100%;
    height: 600px;
    max-height: 1000px;
    margin: 25px auto;
}
.dashboard-navigation-receptionist h2 {
    color: #506D4A;
    margin: 30px 30px 5px 30px;
    font-size: 1.5rem;
}
.dashboard-navigation a {
    text-decoration: none;
    color: #506D4A;
}
.dashboard-buttons {
    width: 100%;
    height: 100%;
    margin: 0 auto;
}
.db-button {
    background-color: #F1F5F9;
    border: 1px solid #C08E2D;
    border-radius: 20px;
    margin: 25px;
    position: relative;
    transition: all 0.5s;
}
.db-button:hover {
    background-color: #d0d3d6;
    border: 1px solid #C08E2D;
    border-radius: 20px;
    margin: 25px;
    position: relative;
    transition: all 0.5s;
}
.db-button label {
    color: #506D4A;
    font-size: 25px;
    font-weight: 500;
    margin: 8px;
}
.db-button svg {
    bottom: 5px;
    right: 5px;
    position: absolute;
    width: 150px;
    height: 150px;
}
.profile-section {
    margin: 200px 0px 100px 0px;
}
.profile-content {
    margin: 50px auto;
}
.profile-nav {
    margin: 50px;
}
.profile-nav a {
    text-decoration: none;
    color: #506D4A;
    font-weight: bold;
    font-size: 30px;
    margin: 10px;
}
.profile-left {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}
.profile-right {
    border-left: 2px solid #C08E2D;
    height: 50vh;
    padding: 0px;
}
.profile-right table {
    margin: 50px;
}
.profile-right label {
    color: #506D4A;
}
.profile-right p {
    margin: 10px auto;
}
.profile-right table tr td {
    padding: 20px;
}
.profile-name {
    font-weight: bold;
    font-size: 30px;
    margin: 10px auto;
}
.profile-left button {
    color: #FFEBCD;
    background-color: #506D4A;
    border-radius: 5px;
    border: none;
    padding: 5px 50px;
    transition: all 0.5s;
}
.profile-left button:hover {
    color: #FFEBCD;
    background-color: #C08E2D;
    border-radius: 5px;
    border: none;
    padding: 5px 50px;
    transition: all 0.5s;
}
.response-modal {
    display: none;  /* Hidden by default */
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);  /* Black with opacity */
    padding-top: 100px;
    text-align: center;
    opacity: 0;
    transition: opacity 0.3s ease;
}
/* Modal content box */
.response-modal-content {
    background-color: #fff;
    margin: 300px auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    max-width: 400px;
    border-radius: 8px;
}
/* Close button */
.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
    cursor: pointer;
}
.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}
/* Success message styling */
.success-message {
    font-size: 18px;
    font-weight: bold;
    color: green;
    text-align: center;
    margin: 10px 0;
}
.green-font {
    color: #506D4A !important;
}
.gold-font {
    color: #C08E2D !important;
}
.red-font {
    color: #a71010 !important;
    font-weight: bolder;
}
/* Show the modal when status is success */
.response-modal.show {
    display: block;
    opacity: 1;
}
.pass-message {
    color: #a71010;
}
.btn-upload {
    background-color: #506D4A;
    color: #FFEBCD;
}
#btn-save {
    color: #FFEBCD;
    background-color: #506D4A;
    border-radius: 10px;
    border: none;
    padding: 5px 20px;
}
#btn-cancel {
    color: #506D4A;
    background-color: #FFEBCD;
    border-radius: 10px;
    border: none;
    padding: 5px 20px;
}
#btn > td {
    padding: 0px;
}
.btn-save {
    color: #FFEBCD;
    background-color: #506D4A;
    border-radius: 5px;
    border: none;
    padding: 5px 30px;
    transition: all 0.5s;
}
.btn-form {
    color: #FFEBCD;
    background-color: #506D4A;
    border-radius: 5px;
    border: none;
    padding: 5px 30px;
    transition: all 0.5s;
}
.profile-picture-modal {
    display: flex;
    justify-content: center;
    align-items: center;
}
.table-wrapper {
    flex-grow: 1;
    overflow-y: auto;
    max-height: 100%;
    padding: 25px;
}
.admin-table {
    width: 100%;
    max-width: 1500px;
    border-collapse: collapse;
    border: 1px solid #C08E2D;
}
.th, .td {
    padding: 10px;
    border-bottom: 1px solid #C08E2D;
    text-align: center;
    font-size: 20px;
}
.th {
    background-color: #506D4A;
    color: white;
    font-weight: bold;
}
.tr:nth-child(even) {
    background-color: #F2F2F2;
}
.search-container {
    display: flex;
    justify-content: right;
    margin-bottom: 15px;
}
.search-container input {
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 5px;
    width: 250px;
}
.notification-badge {
    position: absolute;
    top: -8px;
    right: -8px;
    background-color: #A71010;
    color: white;
    font-size: 16px;
    font-weight: bold;
    width: 35px;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    text-align: center;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
}
.add-btn {
    padding: 8px 12px;
    background: #28A745;
    color: white;
    text-decoration: none;
    border-radius: 5px;
    margin-left: 10px;
}
.view-btn {
    background-color: #506D4A;
    color: #FFFFFF;
    padding: 5px 30px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}
.edit-btn {
    background-color: #506D4A;
    color: #FFFFFF;
    padding: 5px 30px;
    border: none;
    border-radius: 2px;
    cursor: pointer;
    transition: all 0.5s;
}
.edit-btn:disabled {
    background-color: gray !important;
    cursor: not-allowed;
    opacity: 0.6;
}
.delete-btn {
    background-color: #850000;
    color: #FFFFFF;
    padding: 5px 22px;
    border: none;
    border-radius: 2px;
    cursor: pointer;
    transition: all 0.5s;
}
.delete-btn:disabled {
    background-color: gray !important;
    cursor: not-allowed;
    opacity: 0.6;
}
.btn-delete {
    background-color: #850000;
    color: #FFFFFF;
    padding: 5px 22px;
    border: none;
    border-radius: 2px;
    cursor: pointer;
    transition: all 0.5s;
}
.edit-btn:hover {
    background-color: #13350d;
    color: #FFFFFF;
    padding: 5px 30px;
    border: none;
    border-radius: 2px;
    cursor: pointer;
    transition: all 0.5s;
}
.delete-btn:hover {
    background-color: #5f0000;
    color: #FFFFFF;
    padding: 5px 22px;
    border: none;
    border-radius: 2px;
    cursor: pointer;
    transition: all 0.5s;
}
.add-btn {
    background-color: #506D4A;
    color: #FFFFFF;
    padding: 5px 30px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}
.add-btn:hover {
    background-color: #C08E2D;
    color: #FFFFFF;
    padding: 5px 30px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}
.modal-body h1 {
    color: #506D4A;
    margin: 25px auto;
    padding: 0px 25px;
    border-left: 4px solid #C08E2D;
}
.modal-body label {
    color: #506D4A;
    font-weight: bold;
}
.modal-footer > .btn-add{
    background-color: #506D4A;
    color: #FFFFFF;
}
.modal-footer > .btn-cancel{
    background-color: #810202;
    color: #FFFFFF;
}
.button-container {
    display: flex;
    justify-content: center; /* Centers horizontally */
    align-items: center; /* Centers vertically */
    gap: 8px; /* Adjusts spacing between buttons */
}
form {
    margin: 0px;
}